package com.qmth.teachcloud.report.business.service;

import org.springframework.scheduling.annotation.Async;

/**
 * @Description: 变更名称服务类（）
 * @Author: CaoZixuan
 * @Date: 2022-03-10
 */
public interface ChangNamesService {

    /**
     * 更新基础表数据
     */
    @Async("analyzeThreadPool")
    void changeBasicTables();

    /**
     * 更新表't_a_exam_course'
     */
    @Async("analyzeThreadPool")
    void changeTableTAExamCourse() throws InterruptedException;

    /**
     * 更新表 't_a_exam_course_clazz'
     */
    @Async("analyzeThreadPool")
    void changeTableTAExamCourseClazz();

    /**
     * 更新表 't_a_exam_course_college_inspect'
     */
    @Async("analyzeThreadPool")
    void changeTableTAExamCourseCollegeInspect();

    /**
     * 更新表 't_a_exam_course_college_inspect_dio'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseCollegeInspectDio();

    /**
     * 更新表 't_a_exam_course_college_paper_struct'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseCollegePaperStruct();

    /**
     * 更新表 't_a_exam_course_college_teacher'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseCollegeTeacher();

    /**
     * 更新表 't_a_exam_course_difficult'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseDifficultService();

    /**
     * 更新表 't_a_exam_course_dio'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseDio();

    /**
     * 更新表 't_a_exam_course_record_dio'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseRecordDio();

    /**
     * 更新表 't_a_exam_course_record_mod'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseRecordMod();

    /**
     * 更新表 't_a_exam_course_teacher'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseTeacher();

    /**
     * 更新表 't_a_exam_course_teacher_college_difficult'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseTeacherCollegeDifficult();

    /**
     * 更新表 't_a_exam_course_teacher_college_dio'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseTeacherCollegeDio();

    /**
     * 更新表 't_a_exam_course_teacher_college_paper_struct'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseTeacherCollegePaperStruct();

    /**
     * 更新表 't_a_exam_course_teacher_difficult'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseTeacherDifficult();

    /**
     * 更新表 't_a_exam_course_teacher_dio'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseTeacherDio();

    /**
     * 更新表 't_a_exam_course_teacher_paper_struct'
     */
    @Async("analyzeThreadPool")
    void changeTableTaExamCourseTeacherPaperStruct();

    /**
     * 更新表 't_a_exam_total'
     */
    @Async("analyzeThreadPool")
    void changeTableTAExamTotal();

    /**
     * 更新表 't_a_paper_struct'
     */
    @Async("analyzeThreadPool")
    void changeTableTAPaperStruct();
}
